import java.io.*;
import java.util.*;
import java.sql.*;
import javax.servlet.*;
import javax.servlet.http.*;

import musei.*;

/**
 * ServletQuery. Esempio di Servlet che si connette alla base di dati ed
 * esegue una semplice interrogazione.
 * I parametri vengono passati da una FORM HTML.
 *
 * @author Barbara Oliboni, Gabriele Pozzani
 * @version 1.0   06/05/2003
 */

public class ServletMostre extends HttpServlet {
    private DBMS dbms;

    public void doGet(HttpServletRequest request,
                      HttpServletResponse response) 
        throws IOException, ServletException {

	// Creiamo l'oggetto per la connessione
	try{
	    dbms = new DBMS();
	Vector mostre = dbms.getMostre();  

        PrintWriter out = response.getWriter();
	response.setContentType("text/html; charset=ISO-8859-1");
        
	out.println("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\"");
	out.println("      \"http://www.w3.org/TR/REC-html40/loose.dtd\">");


        out.println("<html>");
        out.println("<head>");
    	out.println("<title>Musei on line</title>");
        out.println("</head>");
        out.println("<body>");
        out.println("<h1>Mostre disponibili:</h1>");
        
	// Ciclo per visualizzare tutti le mostre
	for (int i=0; i<mostre.size(); i++) {
	    MostraBean mb =(MostraBean) mostre.get(i);
	    
	    out.println(mb.getTitoloMostra() + " - " + 
                        mb.getMuseo() + " - " +
			mb.getCitta() + " - " +
                        mb.getInizioEsposizione() + " - " +
                        mb.getFineEspozione() + " - " +
                        mb.getPrezzoIntero() + " - " +
			mb.getPrezzoRidotto + "<br>");
	}
        
        out.println("</body>");
        out.println("</html>");       
	}catch(ClassNotFoundException cnfe){
}    
}



    
}
